Package org.bukkit.inventory

# Enum Class ItemFlag

java.lang.Object
java.lang.Enum<ItemFlag>
org.bukkit.inventory.ItemFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<ItemFlag>`, `Constable`

public enum ItemFlag extends Enum<ItemFlag>
A ItemFlag can hide some Attributes from ItemStacks

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HIDE_ATTRIBUTES`
Setting to show/hide Attributes like Damage
`HIDE_DESTROYS`
Setting to show/hide what the ItemStack can break/destroy
`HIDE_DYE`
Setting to show/hide dyes from coloured leather armour
`HIDE_ENCHANTS`
Setting to show/hide enchants
`HIDE_PLACED_ON`
Setting to show/hide where this ItemStack can be build/placed on
`HIDE_POTION_EFFECTS`
Setting to show/hide potion effects, book and firework information, map tooltips, patterns of banners, and enchantments of enchanted books.
`HIDE_UNBREAKABLE`
Setting to show/hide the unbreakable State

## Method Summary

Modifier and Type
Method
Description
`static ItemFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HIDE_ENCHANTS

public static final ItemFlag HIDE_ENCHANTS
Setting to show/hide enchants

### HIDE_ATTRIBUTES

public static final ItemFlag HIDE_ATTRIBUTES
Setting to show/hide Attributes like Damage

### HIDE_UNBREAKABLE

public static final ItemFlag HIDE_UNBREAKABLE
Setting to show/hide the unbreakable State

### HIDE_DESTROYS

public static final ItemFlag HIDE_DESTROYS
Setting to show/hide what the ItemStack can break/destroy

### HIDE_PLACED_ON

public static final ItemFlag HIDE_PLACED_ON
Setting to show/hide where this ItemStack can be build/placed on

### HIDE_POTION_EFFECTS

public static final ItemFlag HIDE_POTION_EFFECTS
Setting to show/hide potion effects, book and firework information, map tooltips, patterns of banners, and enchantments of enchanted books.

### HIDE_DYE

public static final ItemFlag HIDE_DYE
Setting to show/hide dyes from coloured leather armour

## Method Details

### values

public static ItemFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ItemFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null